﻿using Microsoft.AspNetCore.Mvc;
using TCC.Services;

namespace TCC.Controllers
{
    [ApiController]
    [Route("")]
    public class ImageController : ControllerBase
    {
        private ImageService ImageService {  get; set; }
        public byte[] ImageData { get; set; }

        public ImageController(ImageService imageService)
        {
            this.ImageService = imageService;
        }

        [HttpPost("blur")]
        public async Task<IActionResult> BlurImage()
        {
            MemoryStream mstream = new MemoryStream();
            await HttpContext.Request.Body.CopyToAsync(mstream);
            mstream.Position = 0;

            var result = ImageService.BoxBlurImage(mstream, 5);

            var blurredImageStream = new MemoryStream();
            result.Write(blurredImageStream);
            blurredImageStream.Position = 0;

            return File(blurredImageStream, "image/png");
        }

    }
}
